library(repeated)

r <- read.table("dunnock.dat",skip=3,head=T)
attach(r)

y <- as.vector(t(cbind(Freq[1:16],Freq[17:32])))

n <- 5
eval(setup)
print(z0 <- glm(y~p1+p2+p3+p4+p5,family=poisson,weights=pw))
z0$aic/2
print(z1 <- update(z0,.~.+d1+d2+d3))
z1$aic/2
print(z2 <- update(z1,.~.-d1-d2-d3+b2+b3+b4))
z2$aic/2
print(z3 <- update(z2,.~.+d1+d2+d3))
z3$aic/2
print(z4 <- glm(y~p1+pbd+p5+d1+d2+d3+b2+b3+b4,family=poisson,weights=pw))
z4$aic/2
print(z5 <- update(z3,.~.+i2+i3))
z5$aic/2

capture(z4,n)
