data <- read.table("milk.dat",skip=5)
freq <- as.vector(t(as.matrix(data)))
t1rf <- gl(2,8,256)
t1lf <- gl(2,4,256)
t1rr <- gl(2,2,256)
t1lr <- gl(2,1,256)
t1total <- as.factor(as.numeric(t1rf)+as.numeric(t1lf)+as.numeric(t1rr)+
	as.numeric(t1lr)-4)
t0rf <- gl(2,128,256)
t0lf <- gl(2,64,256)
t0rr <- gl(2,32,256)
t0lr <- gl(2,16,256)
t0total <- as.factor(as.numeric(t0rf)+as.numeric(t0lf)+as.numeric(t0rr)+
	as.numeric(t0lr)-4)
t0 <- gl(16,16,256)

-sum(freq[freq>0]*log(freq[freq>0])-freq[freq>0]-lgamma(freq[freq>0]+1))+256
print(z <- glm(freq~t1rf+t1lf+t1rr+t1lr+t0,family=poisson))
z$aic/2
print(z0 <- glm(freq~t1rf+t1lf+t1rr+t1lr+t1total+t0,family=poisson))
z0$aic/2
print(z1 <- glm(freq~(t1rf+t1lf+t1rr+t1lr+t1total)*t0,family=poisson))
z1$aic/2
print(z2 <- glm(freq~(t1rf+t1lf+t1rr+t1lr)*t0+t1total,family=poisson))
z2$aic/2
print(z3 <- glm(freq~t1rf+t1lf+t1rr+t1lr+t1total*t0,family=poisson))
z3$aic/2
print(z4 <- glm(freq~t1rf*t0rf+t1lf*t0lf+t1rr*t0rr+t1lr*t0lr+t1total*t0,
	family=poisson))
z4$aic/2
print(z5 <- glm(freq~(t1rf+t1lf+t1rr+t1lr)*t0total+t1total*t0,family=poisson))
z5$aic/2
print(z6 <- glm(freq~t1total*t0,family=poisson))
z6$aic/2
sumtot1 <- (as.numeric(t1rf)-1)*(as.numeric(t0rf)-1)+(as.numeric(t1lf)-1)*
	(as.numeric(t0lf)-1)+(as.numeric(t1rr)-1)*(as.numeric(t0rr)-1)+
	(as.numeric(t1lr)-1)*(as.numeric(t0lr)-1)
print(z7 <- glm(freq~t1rf+t1lf+t1rr+t1lr+sumtot1+t1total*t0,family=poisson))
z7$aic/2
sumtot1f <- (as.numeric(t1rf)-1)*(as.numeric(t0rf)-1)+
	(as.numeric(t1lf)-1)*(as.numeric(t0lf)-1)
sumtot1r <- (as.numeric(t1rr)-1)*(as.numeric(t0rr)-1)+
	(as.numeric(t1lr)-1)*(as.numeric(t0lr)-1)
print(z8 <- glm(freq~t1rf+t1lf+t1rr+t1lr+sumtot1f+sumtot1r+t1total*t0,
	family=poisson))
z8$aic/2
sumt1 <- as.numeric(t1total)-1
print(z9 <- glm(freq~sumt1+sumtot1f+sumtot1r+t1total*t0,family=poisson))
z9$aic/2
sumt1f <- as.numeric(t1rf)+as.numeric(t1lf)-2
sumt1r <- as.numeric(t1rr)+as.numeric(t1lr)-2
print(z10 <- glm(freq~sumt1f+sumt1r+sumtot1f+sumtot1r+t1total*t0,
	family=poisson))
z10$aic/2
exp(-1.407868)/(1+exp(-1.407868))
exp(-1.407868+2.293067)/(1+exp(-1.407868+2.293067))
tapply(freq,list(t0rf,t1rf),sum)+tapply(freq,list(t0lf,t1lf),sum)
12588/(12588+1458)
1136/(1136+1432)
exp(-1.046771)/(1+exp(-1.046771))
exp(-1.046771+2.070561)/(1+exp(-1.046771+2.070561))
tapply(freq,list(t0rr,t1rr),sum)+tapply(freq,list(t0lr,t1lr),sum)
11579/(11579+1776)
1355/(1355+1904)
