tumour <- read.table("tumourre.dat",skip=5)
tumour <- as.matrix(tumour)
miss <- tumour<9
drop <- matrix(0,nrow=85,ncol=7)
drop[,1:6] <- ifelse(miss[,1:6]&!miss[,2:7],1,0)
time <- rep(c(seq(6,36,by=6),60),85)
time2 <- time^2
rtime <- 1/time
ltime <- log(time)
ltime2 <- log(time)^2
ftime <- as.factor(time)
off <- log(rep(c((1:6)*6,24),85))
group <- gl(2,329,595)

miss <- as.vector(t(miss))
drop <- as.vector(t(drop))
tumour <- as.vector(t(tumour))
glm(drop~1, family=poisson,weights=miss,offset=off)
summary(glm(drop~tumour, family=poisson,weights=miss,offset=off))
summary(glm(drop~group, family=poisson,weights=miss,offset=off))
summary(glm(drop~time, family=poisson,weights=miss,offset=off))
summary(glm(drop~time2, family=poisson,weights=miss,offset=off))
summary(glm(drop~time+time2, family=poisson,weights=miss,offset=off))
summary(glm(drop~ltime, family=poisson,weights=miss,offset=off))
summary(glm(drop~ltime2, family=poisson,weights=miss,offset=off))
summary(glm(drop~rtime, family=poisson,weights=miss,offset=off))
summary(glm(drop~time+ltime, family=poisson,weights=miss,offset=off))
summary(glm(drop~ftime, family=poisson,weights=miss,offset=off))
summary(glm(drop~time2*group, family=poisson,weights=miss,offset=off))
summary(glm(drop~time2*tumour, family=poisson,weights=miss,offset=off))
summary(glm(drop~(time+time2)*group, family=poisson,weights=miss,offset=off))
summary(glm(drop~ftime*group, family=poisson,weights=miss,offset=off))
