freq <- scan("pain.dat",skip=5)
grp <- gl(6,8,48)
per1 <- gl(2,4,48)
per2 <- gl(2,2,48)
per3 <- gl(2,1,48)
treat1 <- as.factor(((grp==1)+(grp==2))*(per1==2)+((grp==3)+(grp==5))*
	(per2==2)+((grp==4)+(grp==6))*(per3==2)+1)
treat2 <- as.factor(((grp==3)+(grp==4))*(per1==2)+((grp==1)+(grp==6))*
	(per2==2)+((grp==2)+(grp==5))*(per3==2)+1)
treat3 <- as.factor(((grp==5)+(grp==6))*(per1==2)+((grp==2)+(grp==4))*
	(per2==2)+((grp==1)+(grp==3))*(per3==2)+1)
lag1 <- as.factor(((grp==1)+(grp==2))*(per2==2)+((grp==3)+(grp==5))*
	(per3==2)+1)
lag2 <- as.factor(((grp==3)+(grp==4))*(per2==2)+((grp==1)+(grp==6))*
	(per3==2)+1)
lag3 <- as.factor(((grp==5)+(grp==6))*(per2==2)+((grp==2)+(grp==4))*
	(per3==2)+1)
lag21 <- as.factor(((grp==1)+(grp==2))*(per3==2)+1)
lag22 <- as.factor(((grp==3)+(grp==4))*(per3==2)+1)
lag23 <- as.factor(((grp==5)+(grp==6))*(per3==2)+1)
cor12 <- as.factor((per1==per2)+1)
cor13 <- as.factor((per1==per3)+1)
cor23 <- as.factor((per2==per3)+1)
cor123 <- as.factor((per1==per2)*(per2==per3)+1)
total <- as.factor(as.numeric(per1)+as.numeric(per2)+as.numeric(per3)-2)

sum(freq[freq>0]-freq[freq>0]*log(freq[freq>0])+lgamma(freq[freq>0]+1))+48
print(z0 <- glm(freq~per2+per3+treat1+treat2+treat3+(per2+per3)*
	(treat1+treat2+treat3)+(cor12+cor13)*grp+lag2+lag3+lag22+lag23,
	family=poisson))
z0$aic/2
print(z1 <- update(z0,.~.-(lag22+lag23)))
z1$aic/2
print(z2 <- update(z1,.~.-lag2))
print(z2a <- update(z2,.~.-lag3))
z2a$aic/2
print(z3 <- update(z2a,.~.-(cor12+cor13):grp))
z3$aic/2
print(z4 <- update(z3,.~.-cor12-cor13))
z4$aic/2
print(z5 <- update(z4,.~.-grp))
z5$aic/2
print(z6 <- update(z5,.~.-(per2+per3):(treat1+treat2+treat3)))
z6$aic/2
print(z7 <- update(z6,.~.-(per2+per3)))
z7$aic/2
print(summary(z8 <- update(z7,.~.+total)))
z8$aic/2
